kio Library: RenameDlgPlugin Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# RenameDlgPlugin Class Reference

This is the base class for all RenameDlg plugins. Base class for RenameDlg plugins.

Since:
  3.1.

More...

`#include <renamedlgplugin.h>`

Inheritance diagram for RenameDlgPlugin:

[legend]
Collaboration diagram for RenameDlgPlugin:

[legend]
List of all members.

## Public Member Functions
| RenameDlgPlugin (QDialog *dialog, const char *name, const QStringList &=QStringList())
virtual bool | initialize (KIO::RenameDlg_Mode, const QString &, const QString &, const QString &, const QString &, KIO::filesize_t, KIO::filesize_t, time_t, time_t, time_t, time_t)

## Detailed Description

This is the base class for all RenameDlg plugins. Base class for RenameDlg plugins.

Since:
  3.1.

Definition at line 34 of file renamedlgplugin.h.

## Constructor & Destructor Documentation

RenameDlgPlugin::RenameDlgPlugin | ( | QDialog * | dialog,
|  | const char * | name,
|  | const QStringList & | = `QStringList()`
| ) | `[inline]`

| This is the c'tor. Definition at line 40 of file renamedlgplugin.h.

## Member Function Documentation

virtual bool RenameDlgPlugin::initialize | ( | KIO::RenameDlg_Mode | ,
|  | const QString & | ,
|  | const QString & | ,
|  | const QString & | ,
|  | const QString & | ,
|  | KIO::filesize_t | ,
|  | KIO::filesize_t | ,
|  | time_t | ,
|  | time_t | ,
|  | time_t | ,
|  | time_t |
| ) | `[inline, virtual]`

| This function will be called by RenameDlg. The params are infos about the files. Returns: If the plugin want's to display it return true, if not return false Definition at line 46 of file renamedlgplugin.h.

The documentation for this class was generated from the following file:

- renamedlgplugin.h

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003